<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PollVoteMessage extends \Google\Protobuf\Internal\Message
{
    


    private $selectedOptions;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSelectedOptions()
    {
        return $this->selectedOptions;
    }

    




    public function setSelectedOptions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::BYTES);
        $this->selectedOptions = $arr;

        return $this;
    }

}

